function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import PropTypes from 'prop-types';
import TextInputWidget from './TextInputWidget';

const maskParser = value => {
  const text = value === null || value === undefined ? '' : `${value}`;
  return text.replace(/[^0-9]/g, '');
};

const PhoneWidget = props => /*#__PURE__*/React.createElement(TextInputWidget, _extends({}, props, {
  maskParser: maskParser
}));

PhoneWidget.propTypes = {
  mask: PropTypes.string,
  keyboardType: PropTypes.string,
  maskParser: PropTypes.func.isRequired
};
PhoneWidget.defaultProps = {
  mask: '(999) 999-9999',
  keyboardType: 'number-pad'
};
export default PhoneWidget;